Bug 1373508 - video can't be controlled by mouse
Summary: video can't be controlled by mouse
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: totem
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: WaylandRelated F25FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2016-09-06 12:53 UTC by Kamil Páral
Modified: 2016-09-09 21:49 UTC (History)
5 users (show)

Fixed In Version: totem-3.21.91-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-09 21:49:23 UTC


Attachments (Terms of Use)

Description Kamil Páral 2016-09-06 12:53:44 UTC
Description of problem:
If I play a video under Wayland session in totem, I can't control the video using mouse. The bottom bar disappears and never appears again. Even before it disappears, it ignores all mouse clicks. The video itself also ignores all mouse clicks (double click for fullscreen, right click for menu, etc). It simply ignores the mouse. Sometimes the cursor shape is also stuck using the last shape it had, so e.g. it changes to a resize shape and then when I move it over the video, it's still a resize shape, instead of a standard pointer.

This only occurs in Wayland, not in X11 (works well there).

Quite interestingly, I have no issues when I try this in a VM, totem reacts to mouse just fine. Just on bare metal.

Version-Release number of selected component (if applicable):
mutter-3.21.90-3.fc25.x86_64
gnome-shell-3.21.90.1-1.fc25.x86_64
totem-3.21.91-1.fc25.x86_64

My hardware:
ThinkPad T450s
00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 5500 [8086:1616] (rev 09)

How reproducible:
always

Steps to Reproduce:
1. download a movie, I used sintel_trailer-480p.ogv
2. play it in totem
3. see that you can't control the video using mouse (seek etc)

Additional info:
The terminal is filled with these warnings, not sure if they're related:

(totem:3465): Gtk-WARNING **: GtkClutterOffscreen 0x7ff87400f3e0 is drawn without a current allocation. This should not happen.

(totem:3465): Gtk-WARNING **: GtkToolbar 0x56400d567b30 is drawn without a current allocation. This should not happen.

(totem:3465): Gtk-WARNING **: GtkToolItem 0x7ff87400e980 is drawn without a current allocation. This should not happen.

(totem:3465): Gtk-WARNING **: GtkBox 0x7ff87400f6b0 is drawn without a current allocation. This should not happen.

(totem:3465): Gtk-WARNING **: BaconTimeLabel 0x56400d567ec0 is drawn without a current allocation. This should not happen.

(totem:3465): Gtk-WARNING **: GtkScale 0x56400d5fe4a0 is drawn without a current allocation. This should not happen.

Comment 1 Kamil Páral 2016-09-06 12:55:30 UTC
Downgrading to totem-3.20.1-1.fc25.x86_64 doesn't help. Proposing as a blocker:
"All applications that can be launched using the standard graphical mechanism of a release-blocking desktop after a default installation of that desktop must start successfully and withstand a basic functionality test. "
https://fedoraproject.org/wiki/Fedora_25_Final_Release_Criteria#Default_application_functionality

Comment 2 pavel raur 2016-09-06 14:15:52 UTC
I have same problem. Totem does not work on laptop, but works on VM.

totem-3.20.1-1.fc25.x86_64
mutter-3.21.90-3.fc25.x86_64
gnome-shell-3.21.90.1-1.fc25.x86_64

Comment 3 Kalev Lember 2016-09-08 12:48:52 UTC
This should be fixed in clutter-gtk-1.8.0-2.fc25

Comment 4 Fedora Update System 2016-09-08 12:50:32 UTC
PackageKit-1.1.4-0.3.20160901.fc25 adwaita-icon-theme-3.21.91-1.fc25 at-spi2-atk-2.21.91-1.fc25 atomix-3.21.91-1.fc25 clutter-gtk-1.8.0-2.fc25 cogl-1.22.2-1.fc25 devhelp-3.21.91-1.fc25 evolution-3.21.91-2.fc25 evolution-data-server-3.21.91-1.fc25 evolution-ews-3.21.91-1.fc25 evolution-mapi-3.21.91-1.fc25 five-or-more-3.21.91-1.fc25 fwupd-0.7.3-2.fc25 gdk-pixbuf2-2.35.4-1.fc25 gdm-3.21.91-2.fc25 geary-0.11.2-1.fc25 gitg-3.21.91-1.fc25 glib2-2.49.6-1.fc25 gnome-2048-3.21.91-1.fc25 gnome-autoar-0.1.1-1.fc25 gnome-backgrounds-3.21.91-1.fc25 gnome-calendar-3.21.91-1.fc25 gnome-clocks-3.21.2-1.fc25 gnome-color-manager-3.21.91-1.fc25 gnome-disk-utility-3.21.91-1.fc25 gnome-documents-3.21.90-2.fc25 gnome-initial-setup-3.21.91-2.fc25 gnome-klotski-3.21.91-1.fc25 gnome-maps-3.21.91-1.fc25 gnome-mines-3.21.91-1.fc25 gnome-multi-writer-3.21.91-1.fc25 gnome-nibbles-3.21.91-1.fc25 gnome-online-accounts-3.21.91-1.fc25 gnome-online-miners-3.21.91-1.fc25 gnome-packagekit-3.21.91-1.fc25 gnome-photos-3.21.91-1.fc25 gnome-power-manager-3.21.91-1.fc25 gnome-robots-3.21.91-1.fc25 gnome-settings-daemon-3.21.90-1.fc25 gnome-shell-3.21.91-1.fc25 gnome-shell-extension-background-logo-3.21.91-1.fc25 gnome-shell-extensions-3.21.91-1.fc25 gnome-software-3.21.91-1.fc25 gnome-system-monitor-3.21.91-1.fc25 gnome-taquin-3.21.91-1.fc25 gnome-tweak-tool-3.21.91-1.fc25 gnome-user-share-3.18.2-1.fc25 gtk3-3.21.5-1.fc25 gvfs-1.29.91-1.fc25 iagno-3.21.91-1.fc25 libappstream-glib-0.6.3-1.fc25 libgepub-0.4-1.fc25 libgnome-games-support-1.1.91-1.fc25 libgweather-3.20.3-1.fc25 lightsoff-3.21.91-1.fc25 mutter-3.21.91-2.fc25 nautilus-3.21.91.1-1.fc25 orca-3.21.91-1.fc25 pango-1.40.2-1.fc25 polari-3.21.91-1.fc25 pygobject3-3.21.91-1.fc25 rygel-0.31.5-1.fc25 simple-scan-3.21.90-1.fc25 sushi-3.21.91-1.fc25 swell-foop-3.21.91-1.fc25 sysprof-3.21.91-1.fc25 totem-3.21.91-1.fc25 webkitgtk4-2.13.90-1.fc25 xdg-desktop-portal-0.3-1.fc25 xdg-desktop-portal-gtk-0.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c565698917

Comment 5 Kamil Páral 2016-09-08 13:19:59 UTC
Looks fixed!

Comment 6 Fedora Update System 2016-09-09 06:30:02 UTC
PackageKit-1.1.4-0.3.20160901.fc25, adwaita-icon-theme-3.21.91-1.fc25, at-spi2-atk-2.21.91-1.fc25, atomix-3.21.91-1.fc25, clutter-gtk-1.8.0-2.fc25, cogl-1.22.2-1.fc25, devhelp-3.21.91-1.fc25, evolution-3.21.91-2.fc25, evolution-data-server-3.21.91-1.fc25, evolution-ews-3.21.91-1.fc25, evolution-mapi-3.21.91-1.fc25, five-or-more-3.21.91-1.fc25, fwupd-0.7.3-2.fc25, gdk-pixbuf2-2.35.4-1.fc25, gdm-3.21.91-2.fc25, geary-0.11.2-1.fc25, gitg-3.21.91-1.fc25, glib2-2.49.6-1.fc25, gnome-2048-3.21.91-1.fc25, gnome-autoar-0.1.1-1.fc25, gnome-backgrounds-3.21.91-1.fc25, gnome-calendar-3.21.91-1.fc25, gnome-clocks-3.21.2-1.fc25, gnome-color-manager-3.21.91-1.fc25, gnome-disk-utility-3.21.91-1.fc25, gnome-documents-3.21.90-2.fc25, gnome-initial-setup-3.21.91-2.fc25, gnome-klotski-3.21.91-1.fc25, gnome-maps-3.21.91-1.fc25, gnome-mines-3.21.91-1.fc25, gnome-multi-writer-3.21.91-1.fc25, gnome-nibbles-3.21.91-1.fc25, gnome-online-accounts-3.21.91-1.fc25, gnome-online-miners-3.21.91-1.fc25, gnome-packagekit-3.21.91-1.fc25, gnome-photos-3.21.91-1.fc25, gnome-power-manager-3.21.91-1.fc25, gnome-robots-3.21.91-1.fc25, gnome-settings-daemon-3.21.90-1.fc25, gnome-shell-3.21.91-1.fc25, gnome-shell-extension-background-logo-3.21.91-1.fc25, gnome-shell-extensions-3.21.91-1.fc25, gnome-software-3.21.91-1.fc25, gnome-system-monitor-3.21.91-1.fc25, gnome-taquin-3.21.91-1.fc25, gnome-tweak-tool-3.21.91-1.fc25, gnome-user-share-3.18.2-1.fc25, gtk3-3.21.5-1.fc25, gvfs-1.29.91-1.fc25, iagno-3.21.91-1.fc25, libappstream-glib-0.6.3-1.fc25, libgepub-0.4-1.fc25, libgnome-games-support-1.1.91-1.fc25, libgweather-3.20.3-1.fc25, lightsoff-3.21.91-1.fc25, mutter-3.21.91-2.fc25, nautilus-3.21.91.1-1.fc25, orca-3.21.91-1.fc25, pango-1.40.2-1.fc25, polari-3.21.91-1.fc25, pygobject3-3.21.91-1.fc25, rygel-0.31.5-1.fc25, simple-scan-3.21.90-1.fc25, sushi-3.21.91-1.fc25, swell-foop-3.21.91-1.fc25, sysprof-3.21.91-1.fc25, totem-3.21.91-1.fc25, webkitgtk4-2.13.90-1.fc25, xdg-desktop-portal-0.3-1.fc25, xdg-desktop-portal-gtk-0.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c565698917

Comment 7 Fedora Update System 2016-09-09 21:48:54 UTC
PackageKit-1.1.4-0.3.20160901.fc25, adwaita-icon-theme-3.21.91-1.fc25, at-spi2-atk-2.21.91-1.fc25, atomix-3.21.91-1.fc25, clutter-gtk-1.8.0-2.fc25, cogl-1.22.2-1.fc25, devhelp-3.21.91-1.fc25, evolution-3.21.91-2.fc25, evolution-data-server-3.21.91-1.fc25, evolution-ews-3.21.91-1.fc25, evolution-mapi-3.21.91-1.fc25, five-or-more-3.21.91-1.fc25, fwupd-0.7.3-2.fc25, gdk-pixbuf2-2.35.4-1.fc25, gdm-3.21.91-2.fc25, geary-0.11.2-1.fc25, gitg-3.21.91-1.fc25, glib2-2.49.6-1.fc25, gnome-2048-3.21.91-1.fc25, gnome-autoar-0.1.1-1.fc25, gnome-backgrounds-3.21.91-1.fc25, gnome-calendar-3.21.91-1.fc25, gnome-clocks-3.21.2-1.fc25, gnome-color-manager-3.21.91-1.fc25, gnome-disk-utility-3.21.91-1.fc25, gnome-documents-3.21.90-2.fc25, gnome-initial-setup-3.21.91-2.fc25, gnome-klotski-3.21.91-1.fc25, gnome-maps-3.21.91-1.fc25, gnome-mines-3.21.91-1.fc25, gnome-multi-writer-3.21.91-1.fc25, gnome-nibbles-3.21.91-1.fc25, gnome-online-accounts-3.21.91-1.fc25, gnome-online-miners-3.21.91-1.fc25, gnome-packagekit-3.21.91-1.fc25, gnome-photos-3.21.91-1.fc25, gnome-power-manager-3.21.91-1.fc25, gnome-robots-3.21.91-1.fc25, gnome-settings-daemon-3.21.90-1.fc25, gnome-shell-3.21.91-1.fc25, gnome-shell-extension-background-logo-3.21.91-1.fc25, gnome-shell-extensions-3.21.91-1.fc25, gnome-software-3.21.91-1.fc25, gnome-system-monitor-3.21.91-1.fc25, gnome-taquin-3.21.91-1.fc25, gnome-tweak-tool-3.21.91-1.fc25, gnome-user-share-3.18.2-1.fc25, gtk3-3.21.5-1.fc25, gvfs-1.29.91-1.fc25, iagno-3.21.91-1.fc25, libappstream-glib-0.6.3-1.fc25, libgepub-0.4-1.fc25, libgnome-games-support-1.1.91-1.fc25, libgweather-3.20.3-1.fc25, lightsoff-3.21.91-1.fc25, mutter-3.21.91-2.fc25, nautilus-3.21.91.1-1.fc25, orca-3.21.91-1.fc25, pango-1.40.2-1.fc25, polari-3.21.91-1.fc25, pygobject3-3.21.91-1.fc25, rygel-0.31.5-1.fc25, simple-scan-3.21.90-1.fc25, sushi-3.21.91-1.fc25, swell-foop-3.21.91-1.fc25, sysprof-3.21.91-1.fc25, totem-3.21.91-1.fc25, webkitgtk4-2.13.90-1.fc25, xdg-desktop-portal-0.3-1.fc25, xdg-desktop-portal-gtk-0.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.